Community Badges
Update badge attribution
PATCH
/
community
/
{id}
/
badge
/
{badgeId}
/
attribution
Update badge attribution
curl --request PATCH \
--url https://api.openpage.fun/v1/community/{id}/badge/{badgeId}/attribution \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"wallet": "<string>",
"metadata": {}
}
'import requests
url = "https://api.openpage.fun/v1/community/{id}/badge/{badgeId}/attribution"
payload = {
"wallet": "<string>",
"metadata": {}
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({wallet: '<string>', metadata: {}})
};
fetch('https://api.openpage.fun/v1/community/{id}/badge/{badgeId}/attribution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"badgeId": "<string>",
"earnedAt": "2023-11-07T05:31:56Z",
"claimedAt": "2023-11-07T05:31:56Z",
"transactionHash": "<string>",
"tokenId": "<string>",
"chainId": 123,
"contract": "<string>",
"metadata": {},
"metadata.[key]": {}
}Authorizations
Query Parameters
Optional condition key used to prevent invalid metadata updates
Optional condition used to determine the comparison of the new metadata value to the current value
Available options:
gt, lt Body
application/json
⌘I
Update badge attribution
